﻿using System;
using MobileChargingStation.Lib.Controller; 
using MobileChargingStation.Lib.Models;     
using MobileChargingStation.Lib.Utils;
using UsbSimulator; 
                   

namespace Ladeskab
{
    class Program
    {
        static void Main(string[] args)
        {
            IDoor door = new Door(); 
            IUsbCharger usbCharger = new UsbChargerSimulator(); 
            IRfidReader rfidReader = new RfidReader(); 
            
            Display display = new Display(); 
            ILogger logger = new Logger();

            StationControl stationControl = new StationControl(door, usbCharger, rfidReader, display, logger);

            door.SetDoorStatus(false, true, true, false); // default dør
            stationControl.SetRfidId(123); 

            Console.WriteLine("Programmet er start, ren debug info");
            
            stationControl.OpenDoor();  
            stationControl.CloseDoor();
            stationControl.DetectRfid(123);
            stationControl.DetectRfid(123);

            Console.ReadKey();
        }
    }
}
